package com.bonus.canteen.core.allocation.canteen.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDate;
import java.util.List;

@ApiModel("食堂档口 param")
public class AllocCanteenStallParam {
   @ApiModelProperty("食堂id")
   private Long canteenId;
   @ApiModelProperty("食堂id列表")
   private List<Long> canteenIdList;
   @ApiModelProperty("档口id")
   private Long stallId;
   @ApiModelProperty("档口id列表")
   private List<Long> stallIdList;
   @ApiModelProperty("查询日期")
   private LocalDate queryDate;
   @ApiModelProperty("区域id列表")
   private List<Long> areaIdList;

   public Long getCanteenId() {
      return this.canteenId;
   }

   public List<Long> getCanteenIdList() {
      return this.canteenIdList;
   }

   public Long getStallId() {
      return this.stallId;
   }

   public List<Long> getStallIdList() {
      return this.stallIdList;
   }

   public LocalDate getQueryDate() {
      return this.queryDate;
   }

   public List<Long> getAreaIdList() {
      return this.areaIdList;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setCanteenIdList(final List<Long> canteenIdList) {
      this.canteenIdList = canteenIdList;
   }

   public void setStallId(final Long stallId) {
      this.stallId = stallId;
   }

   public void setStallIdList(final List<Long> stallIdList) {
      this.stallIdList = stallIdList;
   }

   public void setQueryDate(final LocalDate queryDate) {
      this.queryDate = queryDate;
   }

   public void setAreaIdList(final List<Long> areaIdList) {
      this.areaIdList = areaIdList;
   }

}
